Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.cvsimpl
Class CVSCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.cvsimpl.CVSCommand

Direct Known Subclasses:
  VersionThreeToVersionFourUpgrader.OldCVSRepository

    public abstract class CVSCommand

extends Command

Common CVS command abstraction

Field Summary
`protected String` | `myCvsRoot`
`protected String` | `myModule`
`protected String` | `myWorkingDir`

Constructor Summary
`CVSCommand()`

Method Summary
`File` | `getWorkingDirectory()` Where are is the CVS repository file?
`void` | `setCvsRoot(String cvsRoot)` Whick CVS root should we use when checking out?
`void` | `setModuleName(String buildName)` Define the build we should check out.
`void` | `setWorkingDir(File workingDir)` Define where CVS should check out the build files.

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getCommandLine, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myCvsRoot

    protected String myCvsRoot

### myModule

    protected String myModule

### myWorkingDir

    protected String myWorkingDir

Constructor Detail

### CVSCommand

    public CVSCommand()

Method Detail

### setWorkingDir

    public void setWorkingDir(File workingDir)

  Define where CVS should check out the build files.

  Parameters:
    `workingDir` - The CVS working directory

### getWorkingDirectory

    public File getWorkingDirectory()

  Where are is the CVS repository file?

  Specified by:
    `getWorkingDirectory` in class `Command`
  Returns:
    The location of the CVS repository files

### setModuleName

    public void setModuleName(String buildName)

  Define the build we should check out.

  Parameters:
    `buildName` - The name of the build

### setCvsRoot

    public void setCvsRoot(String cvsRoot)

  Whick CVS root should we use when checking out?

  Parameters:
    `cvsRoot` - The CVS root

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.